Bug 208726 - filedescriptor leak during upgrade install
filedescriptor leak during upgrade install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-30 18:48 EDT by John Reiser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 13:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File descriptor map on anacondas activity during installation. (53.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2007-10-19 09:35 EDT, Joel Andres Granados
no flags Details
Same as first attachment but in plain text. <tab> is the delimitor. (47.95 KB, text/plain)
2007-10-19 10:09 EDT, Joel Andres Granados
no flags Details
Strace from the installation, its a different install. (11.08 MB, application/x-bzip)
2007-10-19 10:47 EDT, Joel Andres Granados
no flags Details
Some unclosed fds (2.93 KB, patch)
2007-10-22 04:04 EDT, Joel Andres Granados
no flags Details | Diff
list same list against the current cvs. (884 bytes, patch)
2007-10-22 12:32 EDT, Joel Andres Granados
no flags Details | Diff

  None (edit)
Description John Reiser 2006-09-30 18:48:04 EDT
Description of problem: Attaching an strace to anaconda after Package Install
completes, while the rpm database is being updated, shows system calls being
performed on filedescriptors with numbers such as 23, 32, and 45.  These numbers
are too large (they should be at most 10 to 15), and indicate that some fds have
been leaked (opened, never closed, and probably unused for a long time) along
the way.


Version-Release number of selected component (if applicable):
anaconda-11.1.0.102-1

How reproducible:


Steps to Reproduce:
1. Upgrade from FC5 to FC6Pre using rescue disk and HTTP + DHCP; wait for
Package Install to finish.
2. Use VT2 to "strace -p <PID of anaconda>" while installer updates rpm database.
3.
  
Actual results:
system calls with fds of 23, 32, 45.

Expected results:
No fd larger than 10 to 15.

Additional info:
PowerPC Apple Macintosh Mini.  Partitons on hda were 1 through 6 (root on hda4,
swap on hda5; others were Apple or unused); no other harddrives; only CD was
FC6Pre rescue CD.
Comment 1 Red Hat Bugzilla 2007-06-11 23:18:48 EDT
requested by Jams Antill
Comment 2 Joel Andres Granados 2007-10-19 09:35:55 EDT
Created attachment 232571 [details]
File descriptor map on anacondas activity during installation.
Comment 3 Joel Andres Granados 2007-10-19 10:09:25 EDT
Created attachment 232581 [details]
Same as first attachment but in plain text. <tab> is the delimitor.
Comment 4 Joel Andres Granados 2007-10-19 10:47:04 EDT
Created attachment 232621 [details]
Strace from the installation,  its a different install.
Comment 5 Joel Andres Granados 2007-10-22 04:04:51 EDT
Created attachment 233931 [details]
Some unclosed fds
Comment 6 Joel Andres Granados 2007-10-22 12:32:43 EDT
Created attachment 234241 [details]
list same list against the current cvs.

Note You need to log in before you can comment on or make changes to this bug.